Sign in Start for free

Platform Hub

Get Platform Hub accounts

GET /api/platformhub/accounts

Query Parameters

  • accountType array of string
    The type of accounts to return.
  • name string
    Filter by partial name match.
  • skip integer
    Number of records to skip.
  • take integer
    Number of records to take.

Response

200 — Success

  • ItemType string
  • Items array of object
    • Description string
    • Details object
    • Id string
    • Name string
      Minimum length 1.
    • Slug string
      Minimum length 1.
  • ItemsPerPage integer
  • LastPageNumber integer
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "ItemType": "string",
  "Items": [
    {
      "Description": "string",
      "Details": {
        "AccountType": "string"
      },
      "Id": "string",
      "Name": "string",
      "Slug": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastPageNumber": 0,
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create a new Platform Hub account

POST /api/platformhub/accounts

Request Body

  • Description string
  • Details object (required)
    • AccountType string
  • Name string (required)
    Minimum length 1.
  • Slug string

Response

201 — Created

  • Id string

Example Request

JSON
{
  "Description": "string",
  "Details": {
    "AccountType": "string"
  },
  "Name": "string",
  "Slug": "string"
}

Example Response

JSON
{
  "Id": "string"
}

Get a specific Platform Hub account

GET /api/platformhub/accounts/{id}

Path Parameters

  • id string (required)
    Id of the account to get.

Response

200 — An Account within the Platform Hub

  • Description string
  • Details object
    • AccountType string
  • Id string
  • Name string
    Minimum length 1.
  • Slug string
    Minimum length 1.

Example Response

JSON
{
  "Description": "string",
  "Details": {
    "AccountType": "string"
  },
  "Id": "string",
  "Name": "string",
  "Slug": "string"
}

Modify an existing Platform Hub account

PUT /api/platformhub/accounts/{id}

Path Parameters

  • id string (required)

Request Body

  • Description string
  • Details object (required)
    • AccountType string
  • Id string (required)
  • Name string (required)
    Minimum length 1.
  • Slug string

Response

200 — Indicates that the Platform Hub account was successfully modified.

Example Request

JSON
{
  "Description": "string",
  "Details": {
    "AccountType": "string"
  },
  "Id": "string",
  "Name": "string",
  "Slug": "string"
}

Example Response

JSON
{}

Delete an existing Platform Hub account

DELETE /api/platformhub/accounts/{id}

Path Parameters

  • id string (required)
    Id of the account to delete.

Response

200 — Confirmation that the Platform Hub account has been deleted

Example Response

JSON
{}

Get Platform Hub certificates

GET /api/platformhub/certificates

Query Parameters

  • archived boolean
    If true, returns only archived certificates. Otherwise, returns only non-archived certificates.
  • firstResult string
    Certificate ID which if specified, adds the certificate with matching ID to the result if it is not already included.
  • ids string
    Comma delimited list of certificate IDs used to filter the result.
  • orderBy string
    If the value is ‘recent’ (case-insensitive), the result is sorted by Created instead of NotAfter.
  • partialName string
    Alternative parameter to Search; filters certificates by Name, Subject, or Thumbprint.
  • search string
    Filters certificates by Name, Subject, or Thumbprint.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 15. Minimum 0.

Response

200 — The requested Platform Hub certificates.

  • ItemType string
  • Items array of object
    • Archived string
      Format date-time.
    • CertificateChain array of object
    • CertificateData sensitive value
    • CertificateDataFormat enum
      Allowed values: Pkcs12, Der, Pem, Unknown.
    • HasPrivateKey boolean
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsExpired boolean
    • IssuerCommonName string
    • IssuerDistinguishedName string
    • IssuerOrganization string
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
    • NotAfter string
      Format date-time.
    • NotBefore string
      Format date-time.
    • Notes string
    • Password sensitive value
    • ReplacedBy string
    • SelfSigned boolean
    • SerialNumber string
    • SignatureAlgorithmName string
    • Slug string
      The slug of the certificate.
    • SubjectAlternativeNames array of string
    • SubjectCommonName string
      The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.
    • SubjectDistinguishedName string
    • SubjectOrganization string
      The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.
    • Thumbprint string
    • Version integer
  • ItemsPerPage integer
  • LastPageNumber integer
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "ItemType": "string",
  "Items": [
    {
      "Archived": "2020-01-01T00:00:00.000Z",
      "CertificateChain": [
        {}
      ],
      "CertificateData": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "CertificateDataFormat": "Pkcs12",
      "HasPrivateKey": true,
      "Id": "string",
      "IsExpired": true,
      "IssuerCommonName": "string",
      "IssuerDistinguishedName": "string",
      "IssuerOrganization": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string",
      "NotAfter": "2020-01-01T00:00:00.000Z",
      "NotBefore": "2020-01-01T00:00:00.000Z",
      "Notes": "string",
      "Password": {
        "HasValue": true,
        "Hint": "string",
        "NewValue": "string"
      },
      "ReplacedBy": "string",
      "SelfSigned": true,
      "SerialNumber": "string",
      "SignatureAlgorithmName": "string",
      "Slug": "string",
      "SubjectAlternativeNames": [
        "string"
      ],
      "SubjectCommonName": "string",
      "SubjectDistinguishedName": "string",
      "SubjectOrganization": "string",
      "Thumbprint": "string",
      "Version": 0
    }
  ],
  "ItemsPerPage": 0,
  "LastPageNumber": 0,
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create a new Platform Hub certificate

POST /api/platformhub/certificates

Request Body

  • CertificateData sensitive value (required)
    • HasValue boolean
    • Hint string
    • NewValue string
  • Name string (required)
    Minimum length 1.
  • Notes string
    Maximum length 10240.
  • Password sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • Slug string

Response

201 — Created

  • Archived string
    Format date-time.
  • CertificateChain array of object
    • IssuerDistinguishedName string
    • NotAfter string
      Format date-time.
    • NotBefore string
      Format date-time.
    • SerialNumber string
    • SignatureAlgorithmName string
    • SubjectDistinguishedName string
    • Thumbprint string
    • Version integer
  • CertificateData sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • CertificateDataFormat enum
    Allowed values: Pkcs12, Der, Pem, Unknown.
  • HasPrivateKey boolean
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsExpired boolean
  • IssuerCommonName string
  • IssuerDistinguishedName string
  • IssuerOrganization string
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • NotAfter string
    Format date-time.
  • NotBefore string
    Format date-time.
  • Notes string
  • Password sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • ReplacedBy string
  • SelfSigned boolean
  • SerialNumber string
  • SignatureAlgorithmName string
  • Slug string
    The slug of the certificate.
  • SubjectAlternativeNames array of string
  • SubjectCommonName string
    The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.
  • SubjectDistinguishedName string
  • SubjectOrganization string
    The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.
  • Thumbprint string
  • Version integer

Example Request

JSON
{
  "CertificateData": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "Name": "string",
  "Notes": "string",
  "Password": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "Slug": "string"
}

Example Response

JSON
{
  "Archived": "2020-01-01T00:00:00.000Z",
  "CertificateChain": [
    {
      "IssuerDistinguishedName": "string",
      "NotAfter": "2020-01-01T00:00:00.000Z",
      "NotBefore": "2020-01-01T00:00:00.000Z",
      "SerialNumber": "string",
      "SignatureAlgorithmName": "string",
      "SubjectDistinguishedName": "string",
      "Thumbprint": "string",
      "Version": 0
    }
  ],
  "CertificateData": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "CertificateDataFormat": "Pkcs12",
  "HasPrivateKey": true,
  "Id": "string",
  "IsExpired": true,
  "IssuerCommonName": "string",
  "IssuerDistinguishedName": "string",
  "IssuerOrganization": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "NotAfter": "2020-01-01T00:00:00.000Z",
  "NotBefore": "2020-01-01T00:00:00.000Z",
  "Notes": "string",
  "Password": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "ReplacedBy": "string",
  "SelfSigned": true,
  "SerialNumber": "string",
  "SignatureAlgorithmName": "string",
  "Slug": "string",
  "SubjectAlternativeNames": [
    "string"
  ],
  "SubjectCommonName": "string",
  "SubjectDistinguishedName": "string",
  "SubjectOrganization": "string",
  "Thumbprint": "string",
  "Version": 0
}

Create a self-signed Platform Hub certificate

POST /api/platformhub/certificates/generate

Request Body

  • Archived string
    Format date-time.
  • CertificateChain array of object
    • IssuerDistinguishedName string
    • NotAfter string
      Format date-time.
    • NotBefore string
      Format date-time.
    • SerialNumber string
    • SignatureAlgorithmName string
    • SubjectDistinguishedName string
    • Thumbprint string
    • Version integer
  • CertificateData sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • CertificateDataFormat enum
    Allowed values: Pkcs12, Der, Pem, Unknown.
  • HasPrivateKey boolean
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsExpired boolean
  • IssuerCommonName string
  • IssuerDistinguishedName string
  • IssuerOrganization string
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • NotAfter string
    Format date-time.
  • NotBefore string
    Format date-time.
  • Notes string
  • Password sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • ReplacedBy string
  • SelfSigned boolean
  • SelfSignedCertificateCurve string
  • SerialNumber string
  • SignatureAlgorithmName string
  • Slug string
    The slug of the certificate.
  • SubjectAlternativeNames array of string
  • SubjectCommonName string
    The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.
  • SubjectDistinguishedName string
  • SubjectOrganization string
    The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.
  • Thumbprint string
  • Version integer

Response

200 — The created self-signed Platform Hub certificate.

  • Archived string
    Format date-time.
  • CertificateChain array of object
    • IssuerDistinguishedName string
    • NotAfter string
      Format date-time.
    • NotBefore string
      Format date-time.
    • SerialNumber string
    • SignatureAlgorithmName string
    • SubjectDistinguishedName string
    • Thumbprint string
    • Version integer
  • CertificateData sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • CertificateDataFormat enum
    Allowed values: Pkcs12, Der, Pem, Unknown.
  • HasPrivateKey boolean
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsExpired boolean
  • IssuerCommonName string
  • IssuerDistinguishedName string
  • IssuerOrganization string
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • NotAfter string
    Format date-time.
  • NotBefore string
    Format date-time.
  • Notes string
  • Password sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • ReplacedBy string
  • SelfSigned boolean
  • SerialNumber string
  • SignatureAlgorithmName string
  • Slug string
    The slug of the certificate.
  • SubjectAlternativeNames array of string
  • SubjectCommonName string
    The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.
  • SubjectDistinguishedName string
  • SubjectOrganization string
    The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.
  • Thumbprint string
  • Version integer

Example Request

JSON
{
  "Archived": "2020-01-01T00:00:00.000Z",
  "CertificateChain": [
    {
      "IssuerDistinguishedName": "string",
      "NotAfter": "2020-01-01T00:00:00.000Z",
      "NotBefore": "2020-01-01T00:00:00.000Z",
      "SerialNumber": "string",
      "SignatureAlgorithmName": "string",
      "SubjectDistinguishedName": "string",
      "Thumbprint": "string",
      "Version": 0
    }
  ],
  "CertificateData": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "CertificateDataFormat": "Pkcs12",
  "HasPrivateKey": true,
  "Id": "string",
  "IsExpired": true,
  "IssuerCommonName": "string",
  "IssuerDistinguishedName": "string",
  "IssuerOrganization": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "NotAfter": "2020-01-01T00:00:00.000Z",
  "NotBefore": "2020-01-01T00:00:00.000Z",
  "Notes": "string",
  "Password": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "ReplacedBy": "string",
  "SelfSigned": true,
  "SelfSignedCertificateCurve": "string",
  "SerialNumber": "string",
  "SignatureAlgorithmName": "string",
  "Slug": "string",
  "SubjectAlternativeNames": [
    "string"
  ],
  "SubjectCommonName": "string",
  "SubjectDistinguishedName": "string",
  "SubjectOrganization": "string",
  "Thumbprint": "string",
  "Version": 0
}

Example Response

JSON
{
  "Archived": "2020-01-01T00:00:00.000Z",
  "CertificateChain": [
    {
      "IssuerDistinguishedName": "string",
      "NotAfter": "2020-01-01T00:00:00.000Z",
      "NotBefore": "2020-01-01T00:00:00.000Z",
      "SerialNumber": "string",
      "SignatureAlgorithmName": "string",
      "SubjectDistinguishedName": "string",
      "Thumbprint": "string",
      "Version": 0
    }
  ],
  "CertificateData": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "CertificateDataFormat": "Pkcs12",
  "HasPrivateKey": true,
  "Id": "string",
  "IsExpired": true,
  "IssuerCommonName": "string",
  "IssuerDistinguishedName": "string",
  "IssuerOrganization": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "NotAfter": "2020-01-01T00:00:00.000Z",
  "NotBefore": "2020-01-01T00:00:00.000Z",
  "Notes": "string",
  "Password": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "ReplacedBy": "string",
  "SelfSigned": true,
  "SerialNumber": "string",
  "SignatureAlgorithmName": "string",
  "Slug": "string",
  "SubjectAlternativeNames": [
    "string"
  ],
  "SubjectCommonName": "string",
  "SubjectDistinguishedName": "string",
  "SubjectOrganization": "string",
  "Thumbprint": "string",
  "Version": 0
}

Get a Platform Hub certificate by ID or Thumbprint

GET /api/platformhub/certificates/{id}

Path Parameters

  • id string (required)

Response

200 — The requested Platform Hub certificate.

  • Archived string
    Format date-time.
  • CertificateChain array of object
    • IssuerDistinguishedName string
    • NotAfter string
      Format date-time.
    • NotBefore string
      Format date-time.
    • SerialNumber string
    • SignatureAlgorithmName string
    • SubjectDistinguishedName string
    • Thumbprint string
    • Version integer
  • CertificateData sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • CertificateDataFormat enum
    Allowed values: Pkcs12, Der, Pem, Unknown.
  • HasPrivateKey boolean
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsExpired boolean
  • IssuerCommonName string
  • IssuerDistinguishedName string
  • IssuerOrganization string
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • NotAfter string
    Format date-time.
  • NotBefore string
    Format date-time.
  • Notes string
  • Password sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • ReplacedBy string
  • SelfSigned boolean
  • SerialNumber string
  • SignatureAlgorithmName string
  • Slug string
    The slug of the certificate.
  • SubjectAlternativeNames array of string
  • SubjectCommonName string
    The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.
  • SubjectDistinguishedName string
  • SubjectOrganization string
    The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.
  • Thumbprint string
  • Version integer

Example Response

JSON
{
  "Archived": "2020-01-01T00:00:00.000Z",
  "CertificateChain": [
    {
      "IssuerDistinguishedName": "string",
      "NotAfter": "2020-01-01T00:00:00.000Z",
      "NotBefore": "2020-01-01T00:00:00.000Z",
      "SerialNumber": "string",
      "SignatureAlgorithmName": "string",
      "SubjectDistinguishedName": "string",
      "Thumbprint": "string",
      "Version": 0
    }
  ],
  "CertificateData": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "CertificateDataFormat": "Pkcs12",
  "HasPrivateKey": true,
  "Id": "string",
  "IsExpired": true,
  "IssuerCommonName": "string",
  "IssuerDistinguishedName": "string",
  "IssuerOrganization": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "NotAfter": "2020-01-01T00:00:00.000Z",
  "NotBefore": "2020-01-01T00:00:00.000Z",
  "Notes": "string",
  "Password": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "ReplacedBy": "string",
  "SelfSigned": true,
  "SerialNumber": "string",
  "SignatureAlgorithmName": "string",
  "Slug": "string",
  "SubjectAlternativeNames": [
    "string"
  ],
  "SubjectCommonName": "string",
  "SubjectDistinguishedName": "string",
  "SubjectOrganization": "string",
  "Thumbprint": "string",
  "Version": 0
}

Modify an existing Platform Hub certificate

PUT /api/platformhub/certificates/{id}

Path Parameters

  • id string (required)

Request Body

  • Id string (required)
  • Name string (required)
    Minimum length 1.
  • Notes string
  • Slug string

Response

200 — The modified Platform Hub certificate.

  • Archived string
    Format date-time.
  • CertificateChain array of object
    • IssuerDistinguishedName string
    • NotAfter string
      Format date-time.
    • NotBefore string
      Format date-time.
    • SerialNumber string
    • SignatureAlgorithmName string
    • SubjectDistinguishedName string
    • Thumbprint string
    • Version integer
  • CertificateData sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • CertificateDataFormat enum
    Allowed values: Pkcs12, Der, Pem, Unknown.
  • HasPrivateKey boolean
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsExpired boolean
  • IssuerCommonName string
  • IssuerDistinguishedName string
  • IssuerOrganization string
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • NotAfter string
    Format date-time.
  • NotBefore string
    Format date-time.
  • Notes string
  • Password sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • ReplacedBy string
  • SelfSigned boolean
  • SerialNumber string
  • SignatureAlgorithmName string
  • Slug string
    The slug of the certificate.
  • SubjectAlternativeNames array of string
  • SubjectCommonName string
    The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.
  • SubjectDistinguishedName string
  • SubjectOrganization string
    The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.
  • Thumbprint string
  • Version integer

Example Request

JSON
{
  "Id": "string",
  "Name": "string",
  "Notes": "string",
  "Slug": "string"
}

Example Response

JSON
{
  "Archived": "2020-01-01T00:00:00.000Z",
  "CertificateChain": [
    {
      "IssuerDistinguishedName": "string",
      "NotAfter": "2020-01-01T00:00:00.000Z",
      "NotBefore": "2020-01-01T00:00:00.000Z",
      "SerialNumber": "string",
      "SignatureAlgorithmName": "string",
      "SubjectDistinguishedName": "string",
      "Thumbprint": "string",
      "Version": 0
    }
  ],
  "CertificateData": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "CertificateDataFormat": "Pkcs12",
  "HasPrivateKey": true,
  "Id": "string",
  "IsExpired": true,
  "IssuerCommonName": "string",
  "IssuerDistinguishedName": "string",
  "IssuerOrganization": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "NotAfter": "2020-01-01T00:00:00.000Z",
  "NotBefore": "2020-01-01T00:00:00.000Z",
  "Notes": "string",
  "Password": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "ReplacedBy": "string",
  "SelfSigned": true,
  "SerialNumber": "string",
  "SignatureAlgorithmName": "string",
  "Slug": "string",
  "SubjectAlternativeNames": [
    "string"
  ],
  "SubjectCommonName": "string",
  "SubjectDistinguishedName": "string",
  "SubjectOrganization": "string",
  "Thumbprint": "string",
  "Version": 0
}

Delete an existing archived Platform Hub certificate

DELETE /api/platformhub/certificates/{id}

Path Parameters

  • id string (required)

Response

200 — Confirmation that the Platform Hub certificate has been deleted.

Example Response

JSON
{}

Archive an existing Platform Hub certificate

POST /api/platformhub/certificates/{id}/archive

Path Parameters

  • id string (required)

Response

200 — Confirmation that the Platform Hub certificate has been archived.

Example Response

JSON
{}

Export the Platform Hub certificate

GET /api/platformhub/certificates/{id}/export

Path Parameters

  • id string (required)

Query Parameters

  • format enum
    Allowed values: Pkcs12, Der, Pem, Unknown.
  • includePrivateKey boolean
  • password string
  • pemOptions enum
    Allowed values: PrimaryOnly, PrimaryAndChain, ChainOnly.

Response

200 — Success

Example Response

JSON
"string"

Replace an existing Platform Hub certificate with another

POST /api/platformhub/certificates/{id}/replace

Path Parameters

  • id string (required)

Request Body

  • CertificateData string (required)
    Minimum length 1.
  • Id string (required)
  • Password string

Response

200 — Confirmation that the Platform Hub certificate has been replaced.

  • Archived string
    Format date-time.
  • CertificateChain array of object
    • IssuerDistinguishedName string
    • NotAfter string
      Format date-time.
    • NotBefore string
      Format date-time.
    • SerialNumber string
    • SignatureAlgorithmName string
    • SubjectDistinguishedName string
    • Thumbprint string
    • Version integer
  • CertificateData sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • CertificateDataFormat enum
    Allowed values: Pkcs12, Der, Pem, Unknown.
  • HasPrivateKey boolean
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsExpired boolean
  • IssuerCommonName string
  • IssuerDistinguishedName string
  • IssuerOrganization string
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • NotAfter string
    Format date-time.
  • NotBefore string
    Format date-time.
  • Notes string
  • Password sensitive value
    • HasValue boolean
    • Hint string
    • NewValue string
  • ReplacedBy string
  • SelfSigned boolean
  • SerialNumber string
  • SignatureAlgorithmName string
  • Slug string
    The slug of the certificate.
  • SubjectAlternativeNames array of string
  • SubjectCommonName string
    The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.
  • SubjectDistinguishedName string
  • SubjectOrganization string
    The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.
  • Thumbprint string
  • Version integer

Example Request

JSON
{
  "CertificateData": "string",
  "Id": "string",
  "Password": "string"
}

Example Response

JSON
{
  "Archived": "2020-01-01T00:00:00.000Z",
  "CertificateChain": [
    {
      "IssuerDistinguishedName": "string",
      "NotAfter": "2020-01-01T00:00:00.000Z",
      "NotBefore": "2020-01-01T00:00:00.000Z",
      "SerialNumber": "string",
      "SignatureAlgorithmName": "string",
      "SubjectDistinguishedName": "string",
      "Thumbprint": "string",
      "Version": 0
    }
  ],
  "CertificateData": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "CertificateDataFormat": "Pkcs12",
  "HasPrivateKey": true,
  "Id": "string",
  "IsExpired": true,
  "IssuerCommonName": "string",
  "IssuerDistinguishedName": "string",
  "IssuerOrganization": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "NotAfter": "2020-01-01T00:00:00.000Z",
  "NotBefore": "2020-01-01T00:00:00.000Z",
  "Notes": "string",
  "Password": {
    "HasValue": true,
    "Hint": "string",
    "NewValue": "string"
  },
  "ReplacedBy": "string",
  "SelfSigned": true,
  "SerialNumber": "string",
  "SignatureAlgorithmName": "string",
  "Slug": "string",
  "SubjectAlternativeNames": [
    "string"
  ],
  "SubjectCommonName": "string",
  "SubjectDistinguishedName": "string",
  "SubjectOrganization": "string",
  "Thumbprint": "string",
  "Version": 0
}

Unarchive an existing archived Platform Hub certificate

POST /api/platformhub/certificates/{id}/unarchive

Path Parameters

  • id string (required)

Response

200 — Confirmation that the Platform Hub certificate has been unarchived.

Example Response

JSON
{}

Get usages for a Platform Hub certificate

GET /api/platformhub/certificates/{id}/usages

Path Parameters

  • id string (required)

Response

200 — The published template versions that use a Platform Hub certificate.

  • DefaultBranchProcessTemplateUsageCount integer
  • DefaultBranchProcessTemplateUsages array of object
    • GitRef string
      Minimum length 1.
    • Id string
      Minimum length 1.
    • Name string
      Minimum length 1.
    • Slug string
      Minimum length 1.
    • UsageSource string
      Minimum length 1.
  • DefaultBranchProjectTemplateUsageCount integer
  • DefaultBranchProjectTemplateUsages array of object
    • GitRef string
      Minimum length 1.
    • Id string
      Minimum length 1.
    • Name string
      Minimum length 1.
    • Slug string
      Minimum length 1.
    • UsageSource string
      Minimum length 1.
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ProcessTemplateVersionUsageCount integer
  • ProcessTemplateVersionUsages array of object
    • GitRef string
      Minimum length 1.
    • Id string
      Minimum length 1.
    • Name string
      Minimum length 1.
    • PublishedDate string
      Format date-time.
    • Slug string
      Minimum length 1.
    • Version string
      Minimum length 1.
  • ProjectTemplateVersionUsageCount integer
  • ProjectTemplateVersionUsages array of object
    • GitRef string
      Minimum length 1.
    • Id string
      Minimum length 1.
    • Name string
      Minimum length 1.
    • PublishedDate string
      Format date-time.
    • Slug string
      Minimum length 1.
    • Version string
      Minimum length 1.
  • TotalUsageCount integer

Example Response

JSON
{
  "DefaultBranchProcessTemplateUsageCount": 0,
  "DefaultBranchProcessTemplateUsages": [
    {
      "GitRef": "string",
      "Id": "string",
      "Name": "string",
      "Slug": "string",
      "UsageSource": "string"
    }
  ],
  "DefaultBranchProjectTemplateUsageCount": 0,
  "DefaultBranchProjectTemplateUsages": [
    {
      "GitRef": "string",
      "Id": "string",
      "Name": "string",
      "Slug": "string",
      "UsageSource": "string"
    }
  ],
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ProcessTemplateVersionUsageCount": 0,
  "ProcessTemplateVersionUsages": [
    {
      "GitRef": "string",
      "Id": "string",
      "Name": "string",
      "PublishedDate": "2020-01-01T00:00:00.000Z",
      "Slug": "string",
      "Version": "string"
    }
  ],
  "ProjectTemplateVersionUsageCount": 0,
  "ProjectTemplateVersionUsages": [
    {
      "GitRef": "string",
      "Id": "string",
      "Name": "string",
      "PublishedDate": "2020-01-01T00:00:00.000Z",
      "Slug": "string",
      "Version": "string"
    }
  ],
  "TotalUsageCount": 0
}

Get a list of Platform Hub Feeds

GET /api/platformhub/feeds

Query Parameters

  • feedType array of string
    The feed types to be matched, provided as a comma separated list of strings.
  • ids array of string
    The feed ids to be matched, provided as a comma separated list of strings.
  • name string
    The exact name of a feed to be matched.
  • partialName string
    The partial name of feeds to be matched.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — The requested list of Platform Hub Feeds

  • ItemType string
  • Items array of object
    • FeedType enum
      Allowed values: None, NuGet, Docker, Maven, OctopusProject, GitHub, Helm, OciRegistry, AwsElasticContainerRegistry, BuiltIn, S3, AzureContainerRegistry, GoogleContainerRegistry, ArtifactoryGeneric, Npm, GcsStorage, PyPi.
    • Id string
    • LastModifiedBy string
    • LastModifiedOn string
      Format date-time.
    • Name string
      Minimum length 1.
    • PackageAcquisitionLocationOptions array of enum
      Allowed values: Server, ExecutionTarget, NotAcquired.
    • Slug string
      Minimum length 1.
  • ItemsPerPage integer
  • LastPageNumber integer
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "ItemType": "string",
  "Items": [
    {
      "FeedType": "None",
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Name": "string",
      "PackageAcquisitionLocationOptions": [
        "Server"
      ],
      "Slug": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastPageNumber": 0,
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create a new Platform Hub Feed

POST /api/platformhub/feeds

Request Body

  • FeedType enum (required)
    The type of the feed.
    Allowed values: None, NuGet, Docker, Maven, OctopusProject, GitHub, Helm, OciRegistry, AwsElasticContainerRegistry, BuiltIn, S3, AzureContainerRegistry, GoogleContainerRegistry, ArtifactoryGeneric, Npm, GcsStorage, PyPi.
  • Name string (required)
    The name of the feed. Maximum length 44.
  • PackageAcquisitionLocationOptions array of enum
    The feed’s package acquisition location options.
    Allowed values: Server, ExecutionTarget, NotAcquired.
  • Slug string
    The slug of the feed.

Response

201 — Created

  • FeedType enum
    Allowed values: None, NuGet, Docker, Maven, OctopusProject, GitHub, Helm, OciRegistry, AwsElasticContainerRegistry, BuiltIn, S3, AzureContainerRegistry, GoogleContainerRegistry, ArtifactoryGeneric, Npm, GcsStorage, PyPi.
  • Id string
  • LastModifiedBy string
  • LastModifiedOn string
    Format date-time.
  • Name string
    Minimum length 1.
  • PackageAcquisitionLocationOptions array of enum
    Allowed values: Server, ExecutionTarget, NotAcquired.
  • Slug string
    Minimum length 1.

Example Request

JSON
{
  "FeedType": "None",
  "Name": "string",
  "PackageAcquisitionLocationOptions": [
    "Server"
  ],
  "Slug": "string"
}

Example Response

JSON
{
  "FeedType": "None",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Name": "string",
  "PackageAcquisitionLocationOptions": [
    "Server"
  ],
  "Slug": "string"
}

Get a Platform Hub Feed by its id

GET /api/platformhub/feeds/{id}

Path Parameters

  • id string (required)
    The id of the Platform Hub Feed to get.

Response

200 — A Feed within the Platform Hub

  • FeedType enum
    Allowed values: None, NuGet, Docker, Maven, OctopusProject, GitHub, Helm, OciRegistry, AwsElasticContainerRegistry, BuiltIn, S3, AzureContainerRegistry, GoogleContainerRegistry, ArtifactoryGeneric, Npm, GcsStorage, PyPi.
  • Id string
  • LastModifiedBy string
  • LastModifiedOn string
    Format date-time.
  • Name string
    Minimum length 1.
  • PackageAcquisitionLocationOptions array of enum
    Allowed values: Server, ExecutionTarget, NotAcquired.
  • Slug string
    Minimum length 1.

Example Response

JSON
{
  "FeedType": "None",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Name": "string",
  "PackageAcquisitionLocationOptions": [
    "Server"
  ],
  "Slug": "string"
}

Modify a Platform Hub Feed

PUT /api/platformhub/feeds/{id}

Path Parameters

  • id string (required)
    The id of the feed.

Request Body

  • FeedType enum (required)
    The type of the feed.
    Allowed values: None, NuGet, Docker, Maven, OctopusProject, GitHub, Helm, OciRegistry, AwsElasticContainerRegistry, BuiltIn, S3, AzureContainerRegistry, GoogleContainerRegistry, ArtifactoryGeneric, Npm, GcsStorage, PyPi.
  • Id string (required)
    The id of the feed.
  • Name string (required)
    The name of the feed. Maximum length 44.
  • PackageAcquisitionLocationOptions array of enum
    The feed’s package acquisition location options.
    Allowed values: Server, ExecutionTarget, NotAcquired.
  • Slug string
    The slug of the feed.

Response

200 — The response returned from the request to modify a platform hub feed.

  • FeedType enum
    Allowed values: None, NuGet, Docker, Maven, OctopusProject, GitHub, Helm, OciRegistry, AwsElasticContainerRegistry, BuiltIn, S3, AzureContainerRegistry, GoogleContainerRegistry, ArtifactoryGeneric, Npm, GcsStorage, PyPi.
  • Id string
  • LastModifiedBy string
  • LastModifiedOn string
    Format date-time.
  • Name string
    Minimum length 1.
  • PackageAcquisitionLocationOptions array of enum
    Allowed values: Server, ExecutionTarget, NotAcquired.
  • Slug string
    Minimum length 1.

Example Request

JSON
{
  "FeedType": "None",
  "Id": "string",
  "Name": "string",
  "PackageAcquisitionLocationOptions": [
    "Server"
  ],
  "Slug": "string"
}

Example Response

JSON
{
  "FeedType": "None",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Name": "string",
  "PackageAcquisitionLocationOptions": [
    "Server"
  ],
  "Slug": "string"
}

Delete an existing Platform Hub Feed

DELETE /api/platformhub/feeds/{id}

Path Parameters

  • id string (required)
    The id of the Platform Hub Feed to delete.

Response

200 — Confirmation that the Platform Hub feed has been deleted

Example Response

JSON
{}

Search the specified platform hub feed for packages based on the provided search term

GET /api/platformhub/feeds/{id}/packages/search

Path Parameters

  • id string (required)
    The id of the feed resource.

Query Parameters

  • packageType string
    The package type to filter results by. Used by feeds that can contain multiple package types. Valid values are ContainerImage and HelmChart.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 20. Minimum 0.
  • term string
    The term to search for.

Response

200 — Returns a paginated collection of searched package descriptions in platform hub

  • ItemType string
  • Items array of object
    • Description string
    • Id string
      Minimum length 1.
    • LatestVersion string
    • Name string
  • ItemsPerPage integer
  • LastPageNumber integer
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "ItemType": "string",
  "Items": [
    {
      "Description": "string",
      "Id": "string",
      "LatestVersion": "string",
      "Name": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastPageNumber": 0,
  "NumberOfPages": 0,
  "TotalResults": 0
}

List available package versions for the specified platform hub feed and package

GET /api/platformhub/feeds/{id}/packages/versions

Path Parameters

  • id string (required)
    The id of the feed resource.

Query Parameters

  • filter string
    Version number text to filter by.
  • includePreRelease boolean
    Flag to include pre-release versions, defaults to true.
  • includeReleaseNotes boolean
    Flag to include release notes, defaults to false.
  • packageId string (required)
    The id of the package.
  • preReleaseTag string
    The semver tag regex pattern to filter by.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 20. Minimum 0.
  • versionRange string
    The range of versions to filter by.

Response

200 — Contains a paginated collection of package versions returned from a search

  • ItemType string
  • Items array of object
    • FeedId string
    • Id string
      Minimum length 1.
    • PackageId string
      Minimum length 1.
    • Published string
      Format date-time.
    • ReleaseNotes string
    • SizeBytes integer
    • Title string
    • Version string
      Minimum length 1.
  • ItemsPerPage integer
  • LastPageNumber integer
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "ItemType": "string",
  "Items": [
    {
      "FeedId": "string",
      "Id": "string",
      "PackageId": "string",
      "Published": "2020-01-01T00:00:00.000Z",
      "ReleaseNotes": "string",
      "SizeBytes": 0,
      "Title": "string",
      "Version": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastPageNumber": 0,
  "NumberOfPages": 0,
  "TotalResults": 0
}

Get Platform Hub Git credentials

GET /api/platformhub/git-credentials

Query Parameters

  • name string
    Filter by partial name match.
  • skip integer
    Number of records to skip.
  • take integer
    Number of records to take.

Response

200 — Success

  • ItemType string
  • Items array of object
    • Description string
    • Details object
    • Id string
    • Name string
      Minimum length 1.
    • RepositoryRestrictions object
  • ItemsPerPage integer
  • LastPageNumber integer
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "ItemType": "string",
  "Items": [
    {
      "Description": "string",
      "Details": {
        "Type": "UsernamePassword"
      },
      "Id": "string",
      "Name": "string",
      "RepositoryRestrictions": {
        "AllowedRepositories": [
          "string"
        ],
        "Enabled": true
      }
    }
  ],
  "ItemsPerPage": 0,
  "LastPageNumber": 0,
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create a new Platform Hub Git credential

POST /api/platformhub/git-credentials

Request Body

  • Description string
  • Details object (required)
    • Password sensitive value (required)
    • Username string (required)
      Minimum length 1.
  • Name string (required)
    Minimum length 1.
  • RepositoryRestrictions object
    • AllowedRepositories array of string
    • Enabled boolean

Response

201 — Created

  • Id string

Example Request

JSON
{
  "Description": "string",
  "Details": {
    "Password": {
      "HasValue": true,
      "Hint": "string",
      "NewValue": "string"
    },
    "Username": "string"
  },
  "Name": "string",
  "RepositoryRestrictions": {
    "AllowedRepositories": [
      "string"
    ],
    "Enabled": true
  }
}

Example Response

JSON
{
  "Id": "string"
}

Get Platform Hub Git credentials (V2)

GET /api/platformhub/git-credentials/v2

Query Parameters

  • name string
    Filter by partial name match.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — Success

  • ItemType string
  • Items array of object
    • Description string
    • Details object
    • Id string
    • Name string
      Minimum length 1.
    • RepositoryRestrictions object
  • ItemsPerPage integer
  • LastPageNumber integer
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "ItemType": "string",
  "Items": [
    {
      "Description": "string",
      "Details": {
        "Type": "UsernamePassword"
      },
      "Id": "string",
      "Name": "string",
      "RepositoryRestrictions": {
        "AllowedRepositories": [
          "string"
        ],
        "Enabled": true
      }
    }
  ],
  "ItemsPerPage": 0,
  "LastPageNumber": 0,
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create a new Platform Hub Git credential

POST /api/platformhub/git-credentials/v2

Request Body

  • Description string
  • Details object (required)
    • Type string (required)
      Minimum length 1.
  • Name string (required)
    Minimum length 1.
  • RepositoryRestrictions object
    • AllowedRepositories array of string
    • Enabled boolean

Response

201 — Created

  • Id string

Example Request

JSON
{
  "Description": "string",
  "Details": {
    "Type": "string"
  },
  "Name": "string",
  "RepositoryRestrictions": {
    "AllowedRepositories": [
      "string"
    ],
    "Enabled": true
  }
}

Example Response

JSON
{
  "Id": "string"
}

Get a specific Platform Hub Git credential

GET /api/platformhub/git-credentials/{id}

Path Parameters

  • id string (required)
    Id of the Git credential to get.

Response

200 — The requested Platform Hub Git Credential

  • Description string
  • Details object
    • Type enum
      Allowed values: UsernamePassword, Anonymous, Library, GitHub, NotSpecified, SshKey.
  • Id string
  • Name string
    Minimum length 1.
  • RepositoryRestrictions object
    • AllowedRepositories array of string
    • Enabled boolean

Example Response

JSON
{
  "Description": "string",
  "Details": {
    "Type": "UsernamePassword"
  },
  "Id": "string",
  "Name": "string",
  "RepositoryRestrictions": {
    "AllowedRepositories": [
      "string"
    ],
    "Enabled": true
  }
}

Modify an existing Platform Hub Git credential

PUT /api/platformhub/git-credentials/{id}

Path Parameters

  • id string (required)

Request Body

  • Description string
  • Details object (required)
    • Password sensitive value (required)
    • Username string (required)
      Minimum length 1.
  • Id string (required)
  • Name string (required)
    Minimum length 1.
  • RepositoryRestrictions object
    • AllowedRepositories array of string
    • Enabled boolean

Response

200 — Indicates that the Platform Hub Git Credential was successfully modified.

Example Request

JSON
{
  "Description": "string",
  "Details": {
    "Password": {
      "HasValue": true,
      "Hint": "string",
      "NewValue": "string"
    },
    "Username": "string"
  },
  "Id": "string",
  "Name": "string",
  "RepositoryRestrictions": {
    "AllowedRepositories": [
      "string"
    ],
    "Enabled": true
  }
}

Example Response

JSON
{}

Delete an existing Platform Hub Git credential

DELETE /api/platformhub/git-credentials/{id}

Path Parameters

  • id string (required)
    Id of the Git credential to delete.

Response

200 — Confirmation that the Platform Hub Git Credential has been deleted

Example Response

JSON
{}

Get a specific Platform Hub Git credential (V2)

GET /api/platformhub/git-credentials/{id}/v2

Path Parameters

  • id string (required)
    Id of the Git credential to get.

Response

200 — A Platform Hub Git credential (V2)

  • Description string
  • Details object
    • Type enum
      Allowed values: UsernamePassword, Anonymous, Library, GitHub, NotSpecified, SshKey.
  • Id string
  • Name string
    Minimum length 1.
  • RepositoryRestrictions object
    • AllowedRepositories array of string
    • Enabled boolean

Example Response

JSON
{
  "Description": "string",
  "Details": {
    "Type": "UsernamePassword"
  },
  "Id": "string",
  "Name": "string",
  "RepositoryRestrictions": {
    "AllowedRepositories": [
      "string"
    ],
    "Enabled": true
  }
}

Modify an existing Platform Hub Git credential

PUT /api/platformhub/git-credentials/{id}/v2

Path Parameters

  • id string (required)

Request Body

  • Description string
  • Details object (required)
    • Type string (required)
      Minimum length 1.
  • Id string (required)
  • Name string (required)
    Minimum length 1.
  • RepositoryRestrictions object
    • AllowedRepositories array of string
    • Enabled boolean

Response

200 — Indicates that the Platform Hub Git Credential was successfully modified.

Example Request

JSON
{
  "Description": "string",
  "Details": {
    "Type": "string"
  },
  "Id": "string",
  "Name": "string",
  "RepositoryRestrictions": {
    "AllowedRepositories": [
      "string"
    ],
    "Enabled": true
  }
}

Example Response

JSON
{}

Request the list of Branches for the Platform Hub

GET /api/platformhub/git/branches

Query Parameters

  • searchByName string
    A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — Success

  • ItemType string
  • Items array of object
    • CanonicalName string
      Minimum length 1.
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsProtected boolean
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
      Minimum length 1.
  • ItemsPerPage integer
  • LastPageNumber integer
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "ItemType": "string",
  "Items": [
    {
      "CanonicalName": "string",
      "Id": "string",
      "IsProtected": true,
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastPageNumber": 0,
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create a branch given the base git ref, and the new branch’s name

POST /api/platformhub/git/branches

Request Body

  • BaseGitRef string (required)
  • NewBranchName string (required)
    Minimum length 1.

Response

201 — Created

  • CanonicalName string
    Minimum length 1.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsProtected boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
    Minimum length 1.

Example Request

JSON
{
  "BaseGitRef": "string",
  "NewBranchName": "string"
}

Example Response

JSON
{
  "CanonicalName": "string",
  "Id": "string",
  "IsProtected": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string"
}

Request a list of Git Tags for the Platform Hub

GET /api/platformhub/git/tags

Query Parameters

  • searchByName string
    A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — Success

  • ItemType string
  • Items array of object
    • CanonicalName string
      Minimum length 1.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
      Minimum length 1.
  • ItemsPerPage integer
  • LastPageNumber integer
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "ItemType": "string",
  "Items": [
    {
      "CanonicalName": "string",
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastPageNumber": 0,
  "NumberOfPages": 0,
  "TotalResults": 0
}

Get GitHub App connections for the Platform Hub

GET /api/platformhub/github/connections

Gets a set of GitHub App connections for the Platform Hub.

Query Parameters

  • skip integer (required)
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer (required)
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — All GitHub App connections for Platform Hub

  • Connections array of object
    • Id string
    • Installation object
    • Status enum
      Allowed values: ConnectionNotFound, InstallationNotFound, InstallationSuspended, Connected, Error.
  • ItemsPerPage integer
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Connections": [
    {
      "Id": "string",
      "Installation": {
        "AccountAvatarUrl": "string",
        "AccountId": "string",
        "AccountLogin": "string",
        "AccountType": "string",
        "AllRepositories": true,
        "InstallationId": "string"
      },
      "Status": "ConnectionNotFound"
    }
  ],
  "ItemsPerPage": 0,
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create a new GitHub App connection in Platform Hub

POST /api/platformhub/github/connections

Request Body

  • InstallationId string (required)
    Minimum length 1.
  • RepositoryIds array of string (required)

Response

201 — Created

Example Request

JSON
{
  "InstallationId": "string",
  "RepositoryIds": [
    "string"
  ]
}

Example Response

JSON
"string"

Get a single PlatformHub GitHub app connection by id

GET /api/platformhub/github/connections/{id}

Path Parameters

  • id string (required)

Response

200 — A PlatformHub GitHub app connection

  • Id string
  • Installation object
    • AccountAvatarUrl string
    • AccountId string
    • AccountLogin string
    • AccountType string
    • AllRepositories boolean
      true if the installation has access to all repositories in the account, false if it has access to only selected repositories.
    • InstallationId string
  • Repositories array of object
    • DefaultBranch string
    • GitUrl string
    • IsAdmin boolean
    • IsPrivate boolean
    • Language string
    • RepositoryId string
    • RepositoryName string
    • Visibility string
  • Status string
    Minimum length 1.
  • StatusUserMessage string
  • UnknownRepositories array of object
    Repositories IDs that are configured on the connection but do not have a matching repository returned from GitHub.
    • RepositoryId string
    • RepositoryName string

Example Response

JSON
{
  "Id": "string",
  "Installation": {
    "AccountAvatarUrl": "string",
    "AccountId": "string",
    "AccountLogin": "string",
    "AccountType": "string",
    "AllRepositories": true,
    "InstallationId": "string"
  },
  "Repositories": [
    {
      "DefaultBranch": "string",
      "GitUrl": "string",
      "IsAdmin": true,
      "IsPrivate": true,
      "Language": "string",
      "RepositoryId": "string",
      "RepositoryName": "string",
      "Visibility": "string"
    }
  ],
  "Status": "string",
  "StatusUserMessage": "string",
  "UnknownRepositories": [
    {
      "RepositoryId": "string",
      "RepositoryName": "string"
    }
  ]
}

Update a Platform Hub GitHub App connection with a new set of repositories

PUT /api/platformhub/github/connections/{id}

Path Parameters

  • id string (required)

Request Body

  • Id string (required)
  • RepositoryIds array of string (required)

Response

200 — Platform Hub GitHub app connection modified result

Example Request

JSON
{
  "Id": "string",
  "RepositoryIds": [
    "string"
  ]
}

Example Response

JSON
{}

Delete a PlatformHub GitHub App connection by id

DELETE /api/platformhub/github/connections/{id}

Path Parameters

  • id string (required)
    Id of the GitHub connection to delete.

Response

200 — Confirmation that the PlatformHub GitHub App connection has been deleted

Example Response

JSON
{}

Recover a platfrom hub GitHub App connection after the registration has changed

POST /api/platformhub/github/connections/{id}/recover

Path Parameters

  • id string (required)

Request Body

  • Id string (required)
  • RepositoryIds array of string (required)

Response

200 — Platform Hub GitHub app connection recovery result

Example Request

JSON
{
  "Id": "string",
  "RepositoryIds": [
    "string"
  ]
}

Example Response

JSON
{}

Refresh the Platform Hub GitHub App connection token

POST /api/platformhub/github/connections/{id}/refresh

Path Parameters

  • id string (required)

Response

200 — Platform Hub GitHub app connection has been refreshed

Example Response

JSON
{}

Get a list of GitHub organisations accessible to the current GitHub OAuth user. Request will fail if the user does not have a valid GitHub OAuth token

GET /api/platformhub/github/installations

Query Parameters

  • excludeConnected boolean

Response

200 — List of GitHub organisations accessible to the current GitHub OAuth user

  • Installations array of object
    • AccountAvatarUrl string
    • AccountId string
    • AccountLogin string
    • AccountType string
    • AllRepositories boolean
      true if the installation has access to all repositories in the account, false if it has access to only selected repositories.
    • InstallationId string

Example Response

JSON
{
  "Installations": [
    {
      "AccountAvatarUrl": "string",
      "AccountId": "string",
      "AccountLogin": "string",
      "AccountType": "string",
      "AllRepositories": true,
      "InstallationId": "string"
    }
  ]
}

Get platform hub version control settings configuration

GET /api/platformhub/versioncontrol

Response

200 — The version control settings for the Platform Hub

  • BasePath string
  • Credentials object
    • Type enum
      Allowed values: Anonymous, UsernamePassword, Reference, GitHub, SshKey.
  • DefaultBranch string
  • Url string

Example Response

JSON
{
  "BasePath": "string",
  "Credentials": {
    "Type": "Anonymous"
  },
  "DefaultBranch": "string",
  "Url": "string"
}

Update the platform hub’s existing version control settings configuration

PUT /api/platformhub/versioncontrol

Request Body

  • BasePath string (required)
  • Credentials object (required)
    • Type enum
      Allowed values: Anonymous, UsernamePassword, Reference, GitHub, SshKey.
  • DefaultBranch string (required)
  • Url string (required)
    Minimum length 1.

Response

200 — The version control settings for the Platform Hub

  • BasePath string
  • Credentials object
    • Type enum
      Allowed values: Anonymous, UsernamePassword, Reference, GitHub, SshKey.
  • DefaultBranch string
  • Url string

Example Request

JSON
{
  "BasePath": "string",
  "Credentials": {
    "Type": "Anonymous"
  },
  "DefaultBranch": "string",
  "Url": "string"
}

Example Response

JSON
{
  "BasePath": "string",
  "Credentials": {
    "Type": "Anonymous"
  },
  "DefaultBranch": "string",
  "Url": "string"
}

Get a paginated list of process templates from the specified Git reference (sorted by name)

GET /api/platformhub/{gitRef}/processtemplates

Path Parameters

  • gitRef string (required)

Query Parameters

  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — A paginated list of process templates (sorted by name).

  • ItemsPerPage integer
  • ProcessTemplates array of object
    • Description string
    • GitRef string
    • Icon object
    • Id string
    • Name string
    • Parameters array of object
    • Slug string
    • Steps array of object
  • TotalResults integer

Example Response

JSON
{
  "ItemsPerPage": 0,
  "ProcessTemplates": [
    {
      "Description": "string",
      "GitRef": "string",
      "Icon": {
        "Color": "string",
        "Id": "string"
      },
      "Id": "string",
      "Name": "string",
      "Parameters": [
        {}
      ],
      "Slug": "string",
      "Steps": [
        {}
      ]
    }
  ],
  "TotalResults": 0
}